summaryrefslogtreecommitdiffstats
path: root/source/l/gi-docgen
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-11-25 19:44:38 +0000
committer Eric Hameleers <alien@slackware.com>2023-11-25 20:59:35 +0100
commitd39761cf9b4205e07a9f5f0f3540281299175c12 (patch)
tree16e17949ed0a60dd89747f18c00679cd5d3c5f31 /source/l/gi-docgen
parent616339b7f26fafbbbcfd9f5e6282d1bce89e0f2a (diff)
downloadcurrent-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.gz
current-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.xz
Sat Nov 25 19:44:38 UTC 202320231125194438
a/shadow-4.14.2-x86_64-2.txz: Rebuilt. adduser: fixed chown syntax to silence warnings. Thanks to Stuart Winter. l/gi-docgen-2023.3-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-smartypants-2.0.1-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-toml-0.10.2-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-typogrify-2.0.7-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. x/xdg-desktop-portal-1.18.2-x86_64-1.txz: Upgraded. Thanks to 0XBF. testing/packages/php-8.3.0-x86_64-1.txz: Added.
Diffstat (limited to 'source/l/gi-docgen')
-rwxr-xr-xsource/l/gi-docgen/gi-docgen.SlackBuild102
-rw-r--r--source/l/gi-docgen/gi-docgen.url1
-rw-r--r--source/l/gi-docgen/slack-desc19
3 files changed, 122 insertions, 0 deletions
diff --git a/source/l/gi-docgen/gi-docgen.SlackBuild b/source/l/gi-docgen/gi-docgen.SlackBuild
new file mode 100755
index 000000000..48cbea6af
--- /dev/null
+++ b/source/l/gi-docgen/gi-docgen.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=gi-docgen
+VERSION=${VERSION:-$(echo gi-docgen-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst LICENSES PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n --prepend $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/gi-docgen/gi-docgen.url b/source/l/gi-docgen/gi-docgen.url
new file mode 100644
index 000000000..c98628d4d
--- /dev/null
+++ b/source/l/gi-docgen/gi-docgen.url
@@ -0,0 +1 @@
+https://download.gnome.org/sources/gi-docgen/
diff --git a/source/l/gi-docgen/slack-desc b/source/l/gi-docgen/slack-desc
new file mode 100644
index 000000000..af9751042
--- /dev/null
+++ b/source/l/gi-docgen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gi-docgen: gi-docgen (Document generator for GObject-based libraries)
+gi-docgen:
+gi-docgen: GI-DocGen is a document generator for GObject-based libraries.
+gi-docgen: GObject is the base type system of the GNOME project. GI-Docgen
+gi-docgen: reuses the introspection data generated by GObject-based libraries
+gi-docgen: to generate the API reference of these libraries, as well as other
+gi-docgen: ancillary documentation.
+gi-docgen:
+gi-docgen: Homepage: https://gnome.pages.gitlab.gnome.org/gi-docgen/
+gi-docgen:
+gi-docgen: